<div class="h-100">
  <div class="row h-100 no-gutters">
    <div class="d-none d-lg-block col-lg-4">
      <div class="slider-light">
        <ngx-slick-carousel class="slick-slider slick-dotted" #slickModal="slick-carousel"
                            [config]="slideConfig2">
          <div ngxSlickItem>
            <div class="position-relative h-100 d-flex justify-content-center align-items-center bg-plum-plate">
              <div class="slide-img-bg"></div>
              <div class="slider-content text-light"><h3>Real Time</h3>
                <p>
                  Cairos IoT offers real-time location tracking solutions - RTLS that have been optimized for industrial environments. We are completely committed to provide operational efficiency and safety.
                </p></div>
            </div>
          </div>
          <div ngxSlickItem>
            <div class="position-relative h-100 d-flex justify-content-center align-items-center bg-premium-dark">
              <div class="slide-img-bg"></div>
              <div class="slider-content text-light"><h3>Technologies working together</h3>
                <p>Enterprise IT for improved resource planning, customer relationship management, and decision support systems</p>
                <p>Operations technology to monitor and manage field equipment, production, and manufacturing processes</p>

              </div>
            </div>
          </div>
          <div ngxSlickItem>
            <div class="position-relative h-100 d-flex justify-content-center align-items-center bg-sunny-morning">
              <div class="slide-img-bg opacity-6"></div>
              <div class="slider-content text-dark"><h3>Machine Learning</h3>
                <p>
                  Facial recognization, Natural language processing, Time series procesing, Syntactic pattern recognition, Computer vision and lots more. 
                </p></div>
            </div>
          </div>
        </ngx-slick-carousel>
      </div>
    </div>
    <div class="h-100 d-flex bg-white justify-content-center align-items-center col-md-12 col-lg-8">
      <div class="mx-auto app-login-box col-sm-12 col-md-10 col-lg-9">
        <div class="app-logo"></div>
        <h4 class="mb-0">
          <div>Welcome back,</div>
          <span>Please sign in to your account.</span></h4>
        
        <div class="divider"></div>
        <div>
          <form  [formGroup]="loginForm" (ngSubmit)="onSubmit()" #form="ngForm">
            <div  class="row">
              <div class="col-md-6">
                <fieldset class="form-group">
                  <div tabindex="-1" role="group"><label for="exampleEmail">Email</label>
                    <input id="exampleEmail"  formControlName="username" 
                        name="email"
                        type="email"
                        placeholder="Email here..."
                        class="form-control"    [ngClass]="{
                          'is-invalid' : loginForm.get('username').touched && loginForm.get('username').invalid,
                          'is-valid' : loginForm.get('username').touched && loginForm.get('username').valid
                          }">
                    <input id="exampleEmail"  formControlName="company_id" 
                          name="company_id"
                          value="2"
                          type="hidden">
                  <span class="focus-input-field" data-placeholder="Username"></span>
                  <div class="invalid-feedback">Username is required</div>
                    </div>
                </fieldset>
              </div>
              <div class="col-md-6">
                <fieldset class="form-group">
                  <div tabindex="-1" role="group"><label for="examplePassword">Password</label><input
                    id="examplePassword" name="password" type="password" formControlName="password" 
                     placeholder="Password here..."
                    class="form-control"  [ngClass]="{
                      'is-invalid' : loginForm.get('password').touched && loginForm.get('password').invalid,
                      'is-valid' : loginForm.get('password').touched && loginForm.get('password').valid
                      }"> <!--pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,}"-->
              <span class="focus-input-field" data-placeholder="Password"></span>
              <div class="invalid-feedback">Password is required</div></div>
                </fieldset>
              </div>
            </div>
            <div class="custom-control custom-checkbox"><input id="exampleCheck" type="checkbox" name="check"
                                                               autocomplete="off" class="custom-control-input"
                                                               value="true"><label for="exampleCheck"
                                                                                   class="custom-control-label">
              Keep me logged in
            </label></div>
            <div class="divider"></div>
            <div class="d-flex align-items-center">
              <div class="ml-auto">
                <button type="submit" [disabled]="submited" [innerHTML]="html" class="btn btn-primary btn-lg"></button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
